fsv2 - 3D File System Visualizer
Prev |  | Next

# Startup

## Command-line arguments

When fsv is invoked with the `--help` option, it prints out a usage summary:

    bash$ fsv2 --help
    Usage: fsv2 [rootdir] [options]
      rootdir      Root directory for visualization
                   (defaults to current directory)
      --mapv       Start in Map View mode (default)
      --treev      Start in TreeV mode
      --help       Print this help and exit

    fsv2 - 3D File System Visualizer v.1.1.0

Options and arguments

`rootdir`

  Specifies the base of the directory tree for fsv to work in. Everything inside this directory will be scanned, and subsequently translated into geometry.

  If no value is given, fsv works in the directory it is invoked from.

`--mapv`

  Starts the program in Map View visualization mode. (This is the default)

`--treev`

  Starts the program in Tree View visualization mode.

`--help`

  Prints out the usage summary and exits.

## Examples

To give the TreeV view of everything under `/usr`:

    bash$ fsv /usr --treev &

Prev | Home | Next
fsv2 - 3D File System Visualizer |  | Main window